# Working with the user_info object When you call the `POST /payments/accept` [operation](/products/payments-direct/api-docs/payments-direct-api/reference/payments-direct-api/quotes/acceptquote) to accept a quote, you must include the `user_info` object in the request body. Use this object to specify key information about the payment, such as information about the beneficiary and the purpose of the payment. The following sections walk you through an example `user_info` object. ## The user_info object The `user_info` object accepts key-value pairs in JSON format. To successfully accept a quote, you must include all required properties depending on the type of payment you want to make: * Always specify the `SourceOfCash` and `purpose` properties. * Always include `beneficiary_token`. * If you want to pay a business or an individual on behalf of a business or an individual, include both `beneficiary_token` and `originator_token`. The following tabs show sample `user_info` objects for each type of payment: ```json { "user_info": { "beneficiary_token": "11111111-abcd-2222-efgh-333333333333", "SourceOfCash": "SVGS", "purpose": "OTHR" } } ``` ```json { "user_info": { "originator_token": "12345678-abcd-1234-abcd-123456789123", "beneficiary_token": "11111111-abcd-2222-efgh-333333333333", "SourceOfCash": "SVGS", "purpose": "OTHR" } } ``` The following sections provide more details about each property. ### originator_token This property identifies the party that originates the payment. The value of this property is the `identityId` of an existing originator. Note You need to provide the `originator_token` only if you are originating a payment on behalf of a business or individual. For example, if you are paying a business or an individual on behalf of your customer, then provide the `originator_token` that contains identifying information about your business customer. You don't need to provide this token if you are the payment originator. To get an existing originator's `identityId`, call the `GET /identities` [operation](/products/payments-direct/api-docs/payments-direct-api/reference/payments-direct-api/identities/getidentities) with the query parameter `identityType` set to `ORIGINATOR`. You can get the originator's `identityId` from the response. For more information, see the [Get an identity](/products/payments-direct/api-docs/tutorials/get-an-identity) tutorial. ### beneficiary_token This property identifies the beneficiary of this payment. The value of this property is the `identityId` of an existing beneficiary. To get a beneficiary's `identityId`, call the `GET /identities` [operation](/products/payments-direct/api-docs/payments-direct-api/reference/payments-direct-api/identities/getidentities) with the query parameter `identityType` set to `BENEFICIARY`. You can get the beneficiary's `identityId` from the response. For more information, see the [Get an identity](/products/payments-direct/api-docs/tutorials/get-an-identity) tutorial. ### SourceOfCash This property indicates the source of funds for this payment. This value must be equal to one of the known values in the table below. details summary Expand to see the list of known values for SourceOfCash Known values for `SourceOfCash` | Value | Description | | --- | --- | | `ALMY` | Alimony | | `CASH` | Cash Proceeds | | `COMP` | Compensation | | `EMIN` | Employee Income | | `GIFT` | Gift | | `INHE` | Inheritance | | `INLQ` | Insurance Premium Liquidation | | `PACA` | Paid Up Capital | | `REDM` | Redemption | | `REPY` | Retirement Policy | | `REST` | Real Estate Sale | | `RETA` | Retained Earnings | | `SALE` | Sale Of Goods | | `SEAQ` | Sale Aquisition Corporation | | `SELF` | Self Employment Income | | `SVGS` | Savings | | `WINS` | Winnings | ### purpose This property indicates the purpose of the payment. The value of this property must be equal to one of the values in the table below. details summary Expand to see the list of known values for purpose Known values for `purpose` | Value | Description | | --- | --- | | `ALLW` | Allowance | | `BONU` | Bonus payment | | `CISC` | Construction and installation services | | `COMM` | Commission | | `DEPT` | Deposit | | `DOFI` | Deposits with or from offshore financial institutions | | `EDSC` | Education services | | `EDUC` | Education | | `ENGS` | Architectural, engineering and other technical services | | `FAMI` | Family maintenance | | `FEES` | Payment of fees | | `GDDS` | Purchase sale of goods | | `GDSV` | Purchase sale of goods and services | | `GIFT` | Allowance (Gift) | | `GSPM` | Goods for processing and manufacturing services | | `GSST` | Goods and services by short-term workers | | `GSTR` | Goods and services by travelers | | `HLTC` | Home health care | | `INTC` | Intra company payment | | `INTE` | Interest | | `INVS` | Investment and securities | | `IVPT` | Invoice payment | | `MACH` | Payment for machinery, non-customized packaged software and transport equipment | | `MDCS` | Medical services | | `MFGD` | Payment for manufactured goods | | `MMFA` | Payment for miscellaneous manufactured articles | | `MP2P` | Mobile peer-to-peer (P2P) payment | | `MRSC` | Maintenance and repair services | | `OCDM` | Order cheque domestic | | `OCFG` | Order cheque foreign | | `OTHR` | Others | | `PAYR` | Payroll | | `PSFR` | Passenger fare | | `REAB` | Real estate abroad | | `RELG` | Rental lease general | | `SALA` | Salary payment | | `SCVE` | Purchase sale of services | | `STDY` | Study | | `SUPP` | Supplier payment | | `TLLT` | Term loans long-term | | `TLST` | Term loans short-term | | `TRAD` | Trade services | | `VIAC` | Visa application charges |